<?php

class setting_type {
	private $st_id;
	private $st_name;
	private $st_setting_data_type; //int, varchar, text, date

	public function set_setting_type_data_by_id($_id) {
		global $sql;
		$st_data_assoc_array = $sql->assoc_array("select * from setting_type where st_id = " . $_id);
		$st_data_array = $st_data_assoc_array[0];
		foreach ($st_data_array as $field => $value) {
			$function_name = "set_" . $field;
			$this->$function_name($value); //alapadatok beállítása
		}

	}

	public function set_st_id($_item) {
		$this->st_id = $_item;
	}

	public function set_st_name($_item) {
		$this->st_name = $_item;
	}

	public function set_st_setting_data_type($_item) {
		$this->st_setting_data_type = $_item;
	}

	public function get_st_id() {
		return $this->st_id;
	}

	public function get_st_name() {
		return $this->st_name;
	}

	public function get_st_setting_data_type() {
		return $this->st_setting_data_type;
	}

}


?>